-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: 10. Apr, 2024 13:28 PM
-- Tjener-versjon: 10.4.32-MariaDB
-- PHP Version: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `project_db`
--

-- --------------------------------------------------------

--
-- Tabellstruktur for tabell `brand`
--

CREATE TABLE `brand` (
  `brand_id` int(11) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_danish_ci;

--
-- Dataark for tabell `brand`
--

INSERT INTO `brand` (`brand_id`, `name`, `description`) VALUES
(1, 'Dell', 'Laptop and PC manufacturer'),
(2, 'Apple', 'Technology company'),
(3, 'Sony', 'Entertainment conglomerate'),
(4, 'Samsung', 'Electronics conglomerate');

-- --------------------------------------------------------

--
-- Tabellstruktur for tabell `category`
--

CREATE TABLE `category` (
  `category_id` int(11) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_danish_ci;

--
-- Dataark for tabell `category`
--

INSERT INTO `category` (`category_id`, `name`, `description`) VALUES
(1, 'Electronics', 'Electronic devices'),
(2, 'Mobile', 'Mobile phones and tablets'),
(3, 'Audio', 'Audio devices'),
(4, 'Wearable', 'Wearable technology');

-- --------------------------------------------------------

--
-- Tabellstruktur for tabell `order_item`
--

CREATE TABLE `order_item` (
  `quantity` int(11) DEFAULT NULL,
  `subtotal` int(11) DEFAULT NULL,
  `product_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_danish_ci;

--
-- Dataark for tabell `order_item`
--

INSERT INTO `order_item` (`quantity`, `subtotal`, `product_id`, `order_id`) VALUES
(1, 800, 2, 1),
(3, 450, 3, 2),
(1, 300, 4, 3),
(2, 400, 5, 4),
(2, 2400, 1, 5);

-- --------------------------------------------------------

--
-- Tabellstruktur for tabell `payment`
--

CREATE TABLE `payment` (
  `order_id` int(11) NOT NULL,
  `payment_method` varchar(255) DEFAULT NULL,
  `amount` int(11) DEFAULT NULL,
  `payment_date` datetime DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_danish_ci;

--
-- Dataark for tabell `payment`
--

INSERT INTO `payment` (`order_id`, `payment_method`, `amount`, `payment_date`, `status`) VALUES
(1, 'Credit Card', 3200, '2024-04-08 00:00:00', 'Success'),
(2, 'PayPal', 450, '2024-04-09 00:00:00', 'Success'),
(3, 'Debit Card', 300, '2024-04-09 00:00:00', 'Success'),
(4, 'Cash on Delivery', 400, '2024-04-10 00:00:00', 'Pending');

-- --------------------------------------------------------

--
-- Tabellstruktur for tabell `product`
--

CREATE TABLE `product` (
  `product_id` int(11) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `price` int(11) DEFAULT NULL,
  `stock_quantity` int(11) DEFAULT NULL,
  `category_id` int(11) DEFAULT NULL,
  `brand_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_danish_ci;

--
-- Dataark for tabell `product`
--

INSERT INTO `product` (`product_id`, `name`, `description`, `price`, `stock_quantity`, `category_id`, `brand_id`) VALUES
(1, 'Laptop', 'High-performance laptop with SSD storage', 1200, 50, 1, 1),
(2, 'Smartphone', 'Latest smartphone with dual-camera setup', 800, 100, 2, 2),
(3, 'Headphones', 'Noise-canceling headphones with Bluetooth', 150, 200, 3, 3),
(4, 'Tablet', 'Lightweight tablet with long battery life', 300, 80, 1, 2),
(5, 'Smartwatch', 'Fitness tracker with heart rate monitoring', 200, 150, 4, 4);

-- --------------------------------------------------------

--
-- Tabellstruktur for tabell `sub_category_in_category`
--

CREATE TABLE `sub_category_in_category` (
  `parent_category_id` int(11) NOT NULL,
  `sub_category_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_danish_ci;

--
-- Dataark for tabell `sub_category_in_category`
--

INSERT INTO `sub_category_in_category` (`parent_category_id`, `sub_category_id`) VALUES
(1, 2),
(1, 3),
(1, 4);

-- --------------------------------------------------------

--
-- Tabellstruktur for tabell `user`
--

CREATE TABLE `user` (
  `user_id` int(11) NOT NULL,
  `hash` varchar(255) DEFAULT NULL,
  `salt` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_danish_ci;

--
-- Dataark for tabell `user`
--

INSERT INTO `user` (`user_id`, `hash`, `salt`, `email`) VALUES
(1, 'password1', '123', 'user1@example.com'),
(2, 'password2', '124', 'user2@example.com'),
(3, 'password3', '125', 'user3@example.com'),
(4, 'password4', '126', 'user4@example.com');

-- --------------------------------------------------------

--
-- Tabellstruktur for tabell `user_details`
--

CREATE TABLE `user_details` (
  `email` varchar(255) NOT NULL,
  `first_name` varchar(255) DEFAULT NULL,
  `last_name` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_danish_ci;

--
-- Dataark for tabell `user_details`
--

INSERT INTO `user_details` (`email`, `first_name`, `last_name`, `address`) VALUES
('user1@example.com', 'John', 'Doe', '123 Main St, City1'),
('user2@example.com', 'Jane', 'Smith', '456 Elm St, City2'),
('user3@example.com', 'David', 'Johnson', '789 Oak St, City3'),
('user4@example.com', 'Sarah', 'Williams', '101 Pine St, City4');

-- --------------------------------------------------------

--
-- Tabellstruktur for tabell `user_order`
--

CREATE TABLE `user_order` (
  `order_id` int(11) NOT NULL,
  `order_date` datetime DEFAULT NULL,
  `total_amount` int(11) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_danish_ci;

--
-- Dataark for tabell `user_order`
--

INSERT INTO `user_order` (`order_id`, `order_date`, `total_amount`, `status`, `user_id`) VALUES
(1, '2024-04-08 00:00:00', 3200, 'Pending', 1),
(2, '2024-04-09 00:00:00', 450, 'Shipped', 2),
(3, '2024-04-09 00:00:00', 300, 'Delivered', 3),
(4, '2024-04-10 00:00:00', 400, 'Pending', 4),
(5, '2024-04-11 00:00:00', 200, 'Pending', 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `brand`
--
ALTER TABLE `brand`
  MODIFY `brand_id` int(11) NOT NULL AUTO_INCREMENT,
  ADD PRIMARY KEY (`brand_id`);

--
-- Indexes for table `category`
--
ALTER TABLE `category`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT,
  ADD PRIMARY KEY (`category_id`);

--
-- Indexes for table `order_item`
--
ALTER TABLE `order_item`
  ADD PRIMARY KEY (`product_id`,`order_id`),
  ADD KEY `order_id` (`order_id`);

--
-- Indexes for table `payment`
--
ALTER TABLE `payment`
  ADD PRIMARY KEY (`order_id`);

--
-- Indexes for table `product`
--
ALTER TABLE `product`
  MODIFY `product_id` int(11) NOT NULL AUTO_INCREMENT,
  ADD PRIMARY KEY (`product_id`),
  ADD KEY `category_id` (`category_id`),
  ADD KEY `brand_id` (`brand_id`);

--
-- Indexes for table `sub_category_in_category`
--
ALTER TABLE `sub_category_in_category`
  ADD PRIMARY KEY (`parent_category_id`,`sub_category_id`),
  ADD KEY `sub_category_id` (`sub_category_id`);

--
-- Indexes for table `user`
--
ALTER TABLE `user`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT,
  ADD PRIMARY KEY (`user_id`),
  ADD KEY `email` (`email`);

--
-- Indexes for table `user_details`
--
ALTER TABLE `user_details`
  ADD PRIMARY KEY (`email`);

--
-- Indexes for table `user_order`
--
ALTER TABLE `user_order`
  MODIFY `order_id` int(11) NOT NULL AUTO_INCREMENT,
  ADD PRIMARY KEY (`order_id`),
  ADD KEY `user_id` (`user_id`);

--
-- Begrensninger for dumpede tabeller
--

--
-- Begrensninger for tabell `order_item`
--
ALTER TABLE `order_item`
  ADD CONSTRAINT `order_item_ibfk_1` FOREIGN KEY (`product_id`) REFERENCES `product` (`product_id`),
  ADD CONSTRAINT `order_item_ibfk_2` FOREIGN KEY (`order_id`) REFERENCES `user_order` (`order_id`);

--
-- Begrensninger for tabell `payment`
--
ALTER TABLE `payment`
  ADD CONSTRAINT `payment_ibfk_1` FOREIGN KEY (`order_id`) REFERENCES `user_order` (`order_id`);

--
-- Begrensninger for tabell `product`
--
ALTER TABLE `product`
  ADD CONSTRAINT `product_ibfk_1` FOREIGN KEY (`category_id`) REFERENCES `category` (`category_id`),
  ADD CONSTRAINT `product_ibfk_2` FOREIGN KEY (`brand_id`) REFERENCES `brand` (`brand_id`);

--
-- Begrensninger for tabell `sub_category_in_category`
--
ALTER TABLE `sub_category_in_category`
  ADD CONSTRAINT `sub_category_in_category_ibfk_1` FOREIGN KEY (`parent_category_id`) REFERENCES `category` (`category_id`),
  ADD CONSTRAINT `sub_category_in_category_ibfk_2` FOREIGN KEY (`sub_category_id`) REFERENCES `category` (`category_id`);

--
-- Begrensninger for tabell `user`
--
ALTER TABLE `user`
  ADD CONSTRAINT `user_ibfk_1` FOREIGN KEY (`email`) REFERENCES `user_details` (`email`);

--
-- Begrensninger for tabell `user_order`
--
ALTER TABLE `user_order`
  ADD CONSTRAINT `user_order_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`user_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
